double blending(double RR_QT, double RR_ACC)
{
	double RR;	
	int flag_QT=0;
	int flag_ACC=0;
	static int window_counter = 0;
	double elapsed_time;
	double current_weight;
	/*Parameters of the blending linear model  current_weight= coeff1 + coeff2*BLENDING_WINDOW */
	static double coeff1 = BLENDING_WEIGHT;			
	static double coeff2 = -BLENDING_WEIGHT/BLENDING_WINDOW;
    
	if(RR_QT<REST_RR)
		flag_QT=1;
	
	if(RR_ACC<REST_RR)
		flag_ACC=1;

	/* if flag_ACC==1 and flag_QT==0 then open the time window or update it if it is already open */

	if( (flag_ACC) && (!flag_QT) )
		window_counter++;
	if(flag_QT) /*if flag_QT==1 then I close the time window */
		window_counter=0; 
/*to each value of the window conter it corresponds a time value given by 
 (window_counter*lines)*CONVERSION_FACTOR*100, which gives the time elapsed 
 since the time window was open. (This formula DOES NOT take into account the 
implementation of the SECURE_WINDOW!) */
 	elapsed_time=((double) (window_counter*lines))*CONVERSION_FACTOR*0.01;


	if(flag_QT && flag_ACC)
	{
		RR=RR_QT;
		/*printf("Both sensors suggest activity\n");*/
	}
	else
	{
		if(flag_ACC)
		{
			if(elapsed_time>=BLENDING_WINDOW) /* If the window time is elasped then pacing as rest suggest*/
			{
				RR=REST_RR;
			}
			else
			{
				current_weight=coeff1 + coeff2*elapsed_time;
				RR=blend_aux(RR_ACC, current_weight);
			}

		}
		else
		{
			if(flag_QT)
			{
				RR=blend_aux(RR_QT,BLENDING_WEIGHT);
			}			
			else
			{
				RR=REST_RR;
			}
		}	
	}	

return(RR);

}


double blend_aux(double paced_RR , double weight)
{

	double RR_double;
	double RR;

	RR=(weight * (paced_RR)+(1.0-weight)*(REST_RR) );
	RR=BIN_MAX(RR, MAX_SINGLE_POWER);   
	return(RR);
}

