
/* Function which reads an input ecg file.
input = file name
output= pointer to the first element
*/

/*If I am in ECG mode, I dont need to read the accelerometer, else I do*/
#ifdef ECG_MODE

	#define READ_ACC 0

#endif

#ifdef BLENDED_MODE

	#define READ_ACC 1

#endif

#ifdef ACC_MODE

	#define READ_ACC 1

#endif

extern double idxElist4;

void read(int *chandata_qt , int *chandata_acc_x, int *chandata_acc_y, int *chandata_acc_z , int starting_point, int *flag_for_over){

FILE *fp;	/* file pointer to ecgdata */
FILE *fp_debug;
int temp, counter=0;	/* aux double */
char ch;	/*aux char */
int i , j;
int static final_point=0;
	

	if(SYNTHETIC)
	{	
		//fp_debug=fopen("elist.txt","a+");	
		for(i=0;i<ELIST_SAVED;i++)
		{
			ElistColumn1[i]=BIN_MAX(0.0,ElistColumn1[i]-CONVERSION_FACTOR*0.01*(double)((starting_point-1)*lines));
			ElistColumn2[i]=BIN_MAX(0.0,ElistColumn2[i]-CONVERSION_FACTOR*0.01*(double)((starting_point-1)*lines));
			ElistColumn3[i]=BIN_MAX(0.0,ElistColumn3[i]-CONVERSION_FACTOR*0.01*(double)((starting_point-1)*lines));
			ElistColumn4[i]=BIN_MAX(0.0,ElistColumn4[i]-CONVERSION_FACTOR*0.01*(double)((starting_point-1)*lines));
			//fprintf(fp_debug," %lf %lf %lf %lf\n",ElistColumn1[i],ElistColumn2[i],ElistColumn3[i],ElistColumn4[i]);
		}
		//fprintf(fp_debug,"\n");
		//fclose(fp_debug);
		SynthEcgWrap(chandata_qt);
		initElistArrays();
	}
	else
	{
		fp=fopen( CHAN_DATA_FILE , "r"); if(fp==NULL) {fprintf(stderr,"line 56: "); THROW_ERROR}	
		if(*flag_for_over)
			count_flag++;
		/*this if-then-else block is implemented in order to ensure that the input file may be cicly scanned*/
		if(  (  (starting_point*lines)-(count_flag*SECURE_WINDOW)+lines )<reading_lines    )
		{
			final_point=starting_point;        
		}
		else
		{
			starting_point=starting_point%final_point;
		    
		}
	
		while(counter<((starting_point*lines)-(count_flag*SECURE_WINDOW)))
		{	
			ch='a';    /*resetting ch value to a whatever one */
			while(ch!='\n')		/* move til the next line */
			{
				ch = fgetc(fp);
	
			}
			counter++;
		}

		if(   (counter+lines)>reading_lines   )  {fprintf(stderr,"line 81: "); THROW_ERROR}		
		for(i=0 ; i<lines ; i++)			
		{	
				fscanf(fp , "%d", &temp);
				chandata_qt[i]=temp;
			if(READ_ACC)
			{				
				fscanf(fp , "%d", &temp);
				chandata_acc_x[i]=temp;
			}
			if (NUM_AXES==3)
			{	
				fscanf(fp , "%d", &temp);
				chandata_acc_y[i]=temp;
				fscanf(fp , "%d", &temp);
				chandata_acc_z[i]=temp;
			}
			else
			{
				chandata_acc_y[i]=0;
				chandata_acc_z[i]=0;
			}
			ch='a';    /*resetting ch value to a whatever one*/
			while(ch!='\n')		/* move til the next line */
			{
				ch = fgetc(fp);
			}		
		}
		fclose(fp);
	}
return;
			
}


void initElistArrays(void)
{
	int i;
	for(i=0;i<ELIST_SAVED;i++)
	{
		ElistColumn1[i]=0.0;
		ElistColumn2[i]=0.0;
		ElistColumn3[i]=0.0;
		ElistColumn4[i]=0.0;
	}
	idxElist4=0.0;
	return;
}



