#!/bin/sh

ECG_txt_file="'SynthECG/Record/MIT_DB/andrea_working9021_8bit.txt'"
debug_option='1'
fs='100'






sed -i "/fs=/c\fs=$fs;" SynthECG/InitParam.m
sed -i "/debug=/c\debug=$debug_option;" SynthECG/InitParam.m
sed -i "/ECG_txt_file=/c\ECG_txt_file=$ECG_txt_file;" SynthECG/InitParam.m
matlab -nodesktop -nosplash -r 'cd SynthECG; RunParamEstimation'
file_gen="ParamEstim/distr_out.cpp"
file_used="Models/Parameters/distr_out_used.cpp"
file="Models/Parameters/distr.cpp"
backup="Models/Parameters/back-up_distr.cpp"
if [ -f "$file" ]
then
	mv -f $file $backup
fi
echo "Using the generated .cpp file for the sthochastic parameter simulation..."
mv -f $file_gen $file


ExampleScripts/ConvertRunPlotDDD_stochastic_learned.sh


echo "Saving the parameters file just used as distr_out_used.cpp..."
mv -f $file $file_used 
if [ -f "$backup" ]
then
	echo "Restoring the default parameters file..."
	mv -f $backup $file
fi


