void update(char *,double );
extern double Atr_refrD;
extern double AV_alpha;
extern double AV_anteDMin;
extern double AV_beta;
extern double AV_delta;
extern double AV_k4;
extern double AV_refrDMin;
extern double AV_retroDMin;
extern double AV_tauC;
extern double AV_theta;
extern double AV_tr;
extern double AV_Vr;
extern double AV_Vt;
extern double PM_TAVI;
extern double PM_TLRI;
extern double PM_TPVAB;
extern double PM_TPVARP;
extern double PM_TURI;
extern double PM_TVRP;
extern double RA_anteD;
extern double RA_retroD;
extern double RV_anteD;
extern double RV_retroD;
extern double SA_d;
extern double SA_dV;
extern double SA_ectopD;
extern double SA_ectopdV;
extern double SA_noiseD;
extern double VRG_ectopD;
extern double VRG_noiseD;
extern double Vtr_refrD;
extern double flag_delay;
extern double auxAVJDelay;
#define PARAMETER_FILE "Models/Parameters/ModelParameters.csv"




void ParamParsing(void)
{
	
	char ch;
	char *str;
	char *pch;
	char buff[32];
	size_t dim=32;
	double value;
	int i=0;
	int aux;
	FILE *fp=fopen(PARAMETER_FILE,"r");
	if(fp==NULL) THROW_ERROR
	
	str = (char *)malloc(dim * sizeof(char));
	getline(&str,&dim,fp);
	
	

	while(getline(&str,&dim,fp)>1)
	{
			
		pch=strchr(str,',');
		if(pch==NULL) THROW_ERROR
		pch++;
		aux=pch-str-1;
		for(i=0;i<aux;i++)
		{
			buff[i]=str[i];
		}
		buff[i]='\0';
		sscanf(pch,"%lf",&value);
		update(buff,value);
	}
	
	free(str);
	fclose(fp);
	 
}

void update(char *buff,double value)
{
	if(strcmp(buff,"Atr_refrD")==0)
	{
		Atr_refrD=value; return;
	}
	if(strcmp(buff,"AV_alpha")==0)
	{
		AV_alpha=value; return;
	}
	if(strcmp(buff,"AV_anteDMin")==0)
	{
		AV_anteDMin=value; return;
	}
	if(strcmp(buff,"AV_beta")==0)
	{
		AV_beta=value; return;
	}
	if(strcmp(buff,"AV_delta")==0)
	{
		AV_delta=value; return;
	}
	if(strcmp(buff,"AV_k4")==0)
	{
		AV_k4=value; return;
	}
	if(strcmp(buff,"AV_refrDMin")==0)
	{
		AV_refrDMin=value; return;
	}
	if(strcmp(buff,"AV_retroDMin")==0)
	{
		AV_retroDMin=value; return;
	}
	if(strcmp(buff,"AV_tauC")==0)
	{
		AV_tauC=value; return;
	}
	if(strcmp(buff,"AV_theta")==0)
	{
		AV_theta=value; return;
	}
	if(strcmp(buff,"AV_tr")==0)
	{
		AV_tr=value; return;
	}
	if(strcmp(buff,"AV_Vr")==0)
	{
		AV_Vr=value; return;
	}
	if(strcmp(buff,"AV_Vt")==0)
	{
		AV_Vt=value; return;
	}
	if(strcmp(buff,"PM_TAVI")==0)
	{
		PM_TAVI=value; return;
	}
	if(strcmp(buff,"PM_TLRI")==0)
	{
		PM_TLRI=value; return;
	}
	if(strcmp(buff,"PM_TPVAB")==0)
	{
		PM_TPVAB=value; return;
	}
	if(strcmp(buff,"PM_TPVARP")==0)
	{
		PM_TPVARP=value; return;
	}
	if(strcmp(buff,"PM_TURI")==0)
	{
		PM_TURI=value; return;
	}
	if(strcmp(buff,"PM_TVRP")==0)
	{
		PM_TVRP=value; return;
	}
	if(strcmp(buff,"RA_anteD")==0)
	{
		RA_anteD=value; return;
	}
	if(strcmp(buff,"RA_retroD")==0)
	{
		RA_retroD=value; return;
	}
	if(strcmp(buff,"RV_anteD")==0)
	{
		RV_anteD=value; return;
	}
	if(strcmp(buff,"RV_retroD")==0)
	{
		RV_retroD=value; return;
	}
	if(strcmp(buff,"SA_d")==0)
	{
		SA_d=value; return;
	}
	if(strcmp(buff,"SA_dV")==0)
	{
		SA_dV=value; return;
	}
	if(strcmp(buff,"SA_ectopD")==0)
	{
		SA_ectopD=value; return;
	}
	if(strcmp(buff,"SA_ectopdV")==0)
	{
		SA_ectopdV=value; return;
	}
	if(strcmp(buff,"SA_noiseD")==0)
	{
		SA_noiseD=value; return;
	}
	if(strcmp(buff,"VRG_ectopD")==0)
	{
		VRG_ectopD=value; return;
	}
	if(strcmp(buff,"VRG_noiseD")==0)
	{
		VRG_noiseD=value; return;
	}
	if(strcmp(buff,"Vtr_refrD")==0)
	{
		VRG_noiseD=value; return;
	}
	if(strcmp(buff,"flag_delay")==0)
	{
		flag_delay=value; return;
	}
	if(strcmp(buff,"auxAVJDelay")==0)
	{
		auxAVJDelay=value; return;
	}
	return;
}

