%set optimal parameters
AV_anteDMin = max(1,round(minEntry(1)*1000));
AV_retroDMin = AV_anteDMin;
AV_Vt = round(minEntry(2));

fs = 128;
% ecg_sig_falsification = ecg_19093m(1,1:fs*60);%1 min
ecg_sig_falsification = ecg_17453m(1,1:fs*60);%1 min

[~,filteredECG_falsification] = genECGParam(ecg_sig_falsification,fs,10,false,0.1);

out=sim('HeartModelECG2','StopTime', sprintf('%d',tLimit_sim),'SaveOutput','on','OutputSaveName','heart_Events');
attempts = 20;
synth_ECGs = [];
ECGmeans_synth=[];
ECGsds_synth=[];
meanPhases_synth=[];
falsification_score=1;
bestI=0;
for i = 1:attempts
    synth_ECG=ECGfromTrace(get(out,'heart_Events'),ParECG,1/fs,0.001);
    [score,scores,ECGmean_falsification,ECGsd_falsification,ECG_distr_falsification,meanphase_falsification,ECGmean_synth,ECGsd_synth,ECG_distr_synth,meanphase_synth]=computeECGsdistance(ecg_sig_falsification,fs,synth_ECG,fs,false,true);
    if score < falsification_score
        falsification_score = score;
        bestI = i;
    end
    synth_ECGs = [synth_ECGs; struct('at',i,'synth_ecg',synth_ECG, 'score', score)];
    ECGmeans_synth = [ECGmeans_synth; ECGmean_synth];
    ECGsds_synth = [ECGsds_synth; ECGsd_synth];
    meanPhases_synth = [meanPhases_synth; meanphase_synth];
end

plotMeanECG(ECGmean_falsification,ECGsd_falsification,meanphase_falsification,'Original (falsification)')
plotMeanECG(ECGmeans_synth(bestI,:),ECGsds_synth(bestI,:),meanPhases_synth(bestI,:),'Synthesized (falsification)')