X = randn(250,5);
y = sin(X(:,2))+X(:,3).*X(:,3)+randn(250,1); % test formula

predstr = 'X'; % name of the predictor matrix
metric = 0; % mean absolute error
duration = 30; % 30 seconds search time
verbose = 1;
operators = '+ - * / sin cos';

[formula,select] = ...  
    eureqa_select(X,y,predstr,metric,duration,verbose,operators);

y_hat = eval(formula); % estimated target y
residual = y_hat-y; % residual of estimation
mae = mean(abs(residual)); % mean absolute error of estimation

figure
subplot(2,1,1)
plot(X(:,2),y,'r.'); % plot test formula wrt to X(:,2)
hold on
plot(X(:,2),y_hat,'b.') % plot estimated formula wrt to X(:,2)
legend('original','estimated')
subplot(2,1,2)
plot(X(:,3),y,'r.'); % plot test formula wrt to X(:,3)
hold on
plot(X(:,3),y_hat,'b.') % plot estimated formula wrt to X(:,3)
legend('original','estimated')

